Bug 78897 - Kernel 2.14.18 Configured For Pentium III and AMD K6 Processors
Kernel 2.14.18 Configured For Pentium III and AMD K6 Processors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-02 21:26 EST by Mark
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /var/log/dmesg (5.38 KB, text/plain)
2002-12-02 21:58 EST, Mark
no flags Details
Contents of /var/log/dmesg (356 bytes, text/plain)
2002-12-02 21:59 EST, Mark
no flags Details
tar file of sysreport (1.47 MB, text/plain)
2002-12-04 23:03 EST, Mark
no flags Details

  None (edit)
Description Mark 2002-12-02 21:26:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en]C-NSCPCD  (Win98; U)

Description of problem:
Dear Sir/Ma'am,

Please reference my redhat online support ticket #219007 (sysreport attached). I have been working with one of your support technicians trying to 
determine the cause 
for the sluggish nature (every application within KDE takes forever to load) of RH 8.0 on my HP 6640C with an AMD K6 processor. He suggested 
that I turn this problem over to you. 

He discovered that there is conflicting indications about which processor is installed in the machine: Pentium III and AMD K6 are both indicated in 
different places. This suggests to me that there may be a problem with the autodetection routines on the RH 8.0 installation disks. Do you think 
performance would be effected if the kernel were configured for P-III, when in fact it's running on an AMD K6?

I have experienced trouble with both RH 7.2 and RH 8.0 trying to install 386i- and 586i-configured RPMs. I've never suceeded in getting an 
Athlon-configured RPM to install.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot process consistently takes very long time to complete. The final step in loading KDE (reestablishing session) takes 2-3 minutes to 
complete.
2.
3.
	

Additional info:

I'm trying to attach the two files the online tech suggested you'd need, dmesg and cpuinfo.
Comment 1 Mark 2002-12-02 21:58:57 EST
Created attachment 87144 [details]
Contents of /var/log/dmesg
Comment 2 Mark 2002-12-02 21:59:32 EST
Created attachment 87145 [details]
Contents of /var/log/dmesg
Comment 3 Mark 2002-12-02 22:02:40 EST
Contents of second attachment are cpuinfo, not dmesg.
Comment 4 Michael Lee Yohe 2002-12-02 22:19:46 EST
If an RPM is of type "athlon" it will not work on your system as the K6 series
are as different as the Pentium and Pentium Pro processors.  Are you sure your
kernel is of type "i686" (which I believe is the highest level of CPU
optimization that Red Hat enables for its packages)?
Comment 5 Jeremy Katz 2002-12-03 12:36:12 EST
The athlon kernel won't work on a K6 processor.  The installer did the right
thing in which kernels it chose to install.  Any slowness problems are kernel
related
Comment 6 Mark 2002-12-03 21:58:13 EST
Regarding the comment from michael@yohe.net: It appears as though the kernel is configured for an i586 processor. I don't understand the basis 
of your question. I have not seen any indication that the kernel was configured for an i686 processor. Why did you ask?

Regarding the comment from katzj@redhat.com: Great. The slowness being related to the kernel was the assumption I began this woeful process 
with. What insights can you provide about optimizing the configuration of the kernel? Why do i386-, i586-, and athlon-type RPMs fail so frequently in 
the install process? Clearly something in the configuration of the kernel is wrong or one of these RPM types would install most of the time.
Comment 7 Arjan van de Ven 2002-12-04 04:26:07 EST
the athlon and i686 kernel use cpu features present in Pentium II (and 3 and 4)
and AMD Athlons that are not present in older cpu's. These kernels do not even
boot on older cpu's; anaconda is smart enough to pick the optimimum one for your
cpu. However the performance difference is in the order of 10% to 20%. Not 400%.

How much memory do you have ?
Comment 8 Mark 2002-12-04 23:03:48 EST
Created attachment 87445 [details]
tar file of sysreport
Comment 9 Mark 2002-12-05 22:09:21 EST
Response to question from arjanv@redhat.com:

I have 325MB of memory. This data is contained in dmesg, which had been 
attached previously. Have you read the case history of ticket 219007? The 
technician I was working with couldn't determine from the information in 
sysreport whether my architecture was athlon or PIII. This suggests to me that 
there may be a problem with the way anaconda configured the kernel. Can you 
really just assume that anaconda is "smart enough"? How do you explain the fact 
that I can't get RPMs of type i386, i586 and athlon to install? Shouldn't one 
of these work consistently?
Comment 10 Mark 2002-12-11 20:14:56 EST
I haven't heard anything from Bugzilla since 5 December. Is this the extent of 
your support?
Comment 11 Arjan van de Ven 2002-12-12 02:38:44 EST
first of all bugzilla is not a support mechanism, but a defect reporting tool.

as for your bug:
could you
1) check that IDE DMA is on via hdparm
2) check /proc/mtrr to see if the mtrr info looks sane (when in doubt just
attach it and I'll check)
Comment 12 Bugzilla owner 2004-09-30 11:40:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.